Lists
Delete List
Delete a list.
https://v1.apifansly.com/api/fansly
DELETE
/{account_id}/lists/delete
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
curl -X DELETE "https://v1.apifansly.com/api/fansly/{account_id}/lists/delete" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"listId": "listid"
}'fetch("https://v1.apifansly.com/api/fansly/{account_id}/lists/delete", {
method: "DELETE",
headers: {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
},
body: JSON.stringify({
listId: "listid"
})
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/lists/delete"
headers = {
"x-api-key": "YOUR_API_KEY",
"Content-Type": "application/json"
}
payload = {
"listId": "listid"
}
response = requests.delete(url, headers=headers, json=payload)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
String requestBody = "{\"listId\":\"listid\"}";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/lists/delete"))
.header("x-api-key", "YOUR_API_KEY")
.header("Content-Type", "application/json")
.method("DELETE", HttpRequest.BodyPublishers.ofString(requestBody))
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var jsonBody = "{\"listId\":\"listid\"}";
var content = new StringContent(jsonBody, Encoding.UTF8, "application/json");
var request = new HttpRequestMessage(HttpMethod.Delete, "https://v1.apifansly.com/api/fansly/{account_id}/lists/delete")
{
Content = content
};
var response = await client.SendAsync(request);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"bytes"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/lists/delete"
payload := []byte(`{"listId":"listid"}`)
req, _ := http.NewRequest("DELETE", url, bytes.NewBuffer(payload))
req.Header.Set("x-api-key", "YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}Path Parameters
account_id*
stringThe unique identifier for the connected account.
Request Body
listId*
stringThe unique identifier of the list to delete.
Response
{
"statusCode": 200,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": null
}
},
"timestamp": "2026-06-16T21:38:31.163Z"
}